/**
 * Dragon - SOA Governance Platform.
 * Copyright (c) 2008 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * EndpointManagerImpl.java
 * -------------------------------------------------------------------------
 */

package org.ow2.dragon.ui.businessdelegate.spring.dataloader;

import java.io.InputStream;

import org.ow2.dragon.api.service.dataloader.DataLoader;
import org.ow2.dragon.api.service.dataloader.DataLoaderException;
import org.springframework.context.ApplicationContext;

/**
 * @author ofabre - eBM WebSourcing
 * 
 */
public class DataLoaderImpl implements DataLoader {

    private DataLoader dataLoader;

    public DataLoaderImpl(ApplicationContext context) {
        super();
        this.dataLoader = (DataLoader) context.getBean("dataLoader");
    }

    public void loadDataSet(String xmlDataSetURI) throws DataLoaderException {
        dataLoader.loadDataSet(xmlDataSetURI);
    }

    public void rebuildIndex() {
        dataLoader.rebuildIndex();
    }

    public void loadDataset(InputStream datasetStream) throws DataLoaderException {
        dataLoader.loadDataset(datasetStream);
    }

    public void recreateDatabase() {
        dataLoader.recreateDatabase();
    }

}
