/**
 * 
 */

package org.ow2.dragon.ui.businessdelegate.spring.metadata;

import java.io.InputStream;
import java.net.URI;

import org.ow2.dragon.api.service.metadata.MetadataService;
import org.ow2.dragon.api.service.metadata.MetadataServiceException;
import org.ow2.dragon.persistence.bo.metadata.SimpleFile;
import org.ow2.dragon.util.ContentType;
import org.ow2.dragon.util.UDDIUseType;
import org.springframework.context.ApplicationContext;

/**
 * @author Olivier
 * 
 */
public class MetadataServiceImpl implements MetadataService {

    private MetadataService metadataService;

    public MetadataServiceImpl(ApplicationContext context) {
        super();
        this.metadataService = (MetadataService) context.getBean("metadataService");
    }

    public void deleteMetadata(String metadataId) {
        metadataService.deleteMetadata(metadataId);
    }

    public SimpleFile loadMetadata(String id) {
        return metadataService.loadMetadata(id);
    }

    public byte[] loadMetadataContentAsBytes(String id) {
        return metadataService.loadMetadataContentAsBytes(id);
    }

    public InputStream loadMetadataContentAsInputStream(String id) throws MetadataServiceException {
        return metadataService.loadMetadataContentAsInputStream(id);
    }

    public SimpleFile storeMetadata(ContentType type, byte[] content, String fileName)
            throws MetadataServiceException {
        return metadataService.storeMetadata(type, content, fileName);
    }

    public SimpleFile storeMetadata(ContentType type, byte[] content)
            throws MetadataServiceException {
        return metadataService.storeMetadata(type, content);
    }

    public SimpleFile storeMetadata(ContentType type, String fileCcontent, String fileName)
            throws MetadataServiceException {
        return metadataService.storeMetadata(type, fileCcontent, fileName);
    }

    public SimpleFile storeMetadata(ContentType type, String fileCcontent)
            throws MetadataServiceException {
        return metadataService.storeMetadata(type, fileCcontent);
    }

    public SimpleFile storeMetadata(ContentType type, URI contentURI, String fileName)
            throws MetadataServiceException {
        return metadataService.storeMetadata(type, contentURI, fileName);
    }

    public SimpleFile storeMetadata(ContentType type, URI contentURI)
            throws MetadataServiceException {
        return metadataService.storeMetadata(type, contentURI);
    }

    public SimpleFile storeMetadataAndIndexContent(ContentType type, byte[] content, String fileName)
            throws MetadataServiceException {
        return metadataService.storeMetadataAndIndexContent(type, content, fileName);
    }

    public SimpleFile storeMetadataAndIndexContent(ContentType type, byte[] content)
            throws MetadataServiceException {
        return metadataService.storeMetadataAndIndexContent(type, content);
    }

    public SimpleFile storeMetadataAndIndexContent(String mimetype, byte[] docContent,
            String fileName) throws MetadataServiceException {
        return metadataService.storeMetadataAndIndexContent(mimetype, docContent, fileName);
    }

    public SimpleFile storeMetadataAndIndexContent(String mimetype, byte[] docContent)
            throws MetadataServiceException {
        return metadataService.storeMetadataAndIndexContent(mimetype, docContent);
    }

    public void cleanupRepository() {
        this.metadataService.cleanupRepository();

    }

    public String getRepositoryRootPath() {
        return this.metadataService.getRepositoryRootPath();
    }

    public SimpleFile storeMetadata(ContentType type, URI contentURI, String fileName,
            UDDIUseType useType) throws MetadataServiceException {
        return this.metadataService.storeMetadata(type, contentURI, fileName, useType);
    }

    public SimpleFile storeMetadata(ContentType type, String fileContent, String fileName,
            UDDIUseType useType) throws MetadataServiceException {
        return this.metadataService.storeMetadata(type, fileContent, fileName, useType);
    }

    public SimpleFile storeMetadataAndIndexContent(byte[] content) throws MetadataServiceException {
        return this.metadataService.storeMetadataAndIndexContent(content);
    }

    public SimpleFile storeMetadataAndIndexContent(byte[] content, String fileName)
            throws MetadataServiceException {
        return this.metadataService.storeMetadataAndIndexContent(content, fileName);
    }

}
